package com.atlassian.bitbucket.mesh.git.commit;

import com.atlassian.bitbucket.mesh.repository.Repository;

import javax.annotation.Nonnull;

public class StreamLastModifiedParameters extends AbstractGetCommitParameters {

    private StreamLastModifiedParameters(Builder builder) {
        super(builder);
    }

    public static class Builder extends AbstractBuilder<Builder, StreamLastModifiedParameters> {

        public Builder(@Nonnull Repository repository, @Nonnull String commitId) {
            super(repository, commitId);
        }

        @Nonnull
        @Override
        public StreamLastModifiedParameters build() {
            return new StreamLastModifiedParameters(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}